Page MenuHomePhabricator

Empty language parameter in URL creates a confusing result
Closed, ResolvedPublic

Description

These 2 links, with/without an empty &language= parameter, lead to different results, if the user's interface language is set to anything except English:
https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Tech%2FNews%2F2016%2F21&language=&action=page&filter=
https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Tech%2FNews%2F2016%2F21&action=page&filter=


They should lead to the same (second) result.

Details

Related Gerrit Patches:

Event Timeline

Quiddity created this task.May 20 2016, 4:20 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 20 2016, 4:20 PM
Quiddity triaged this task as Low priority.May 20 2016, 4:20 PM
Nikerabbit lowered the priority of this task from Low to Lowest.May 23 2016, 8:03 AM
Nikerabbit added a project: good first task.
Nikerabbit added a subscriber: Nikerabbit.

Should be easy to fix, but because I am not aware of anything generating this kind of URLs, low priority.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 8:03 AM

Change 424607 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

Change 424607 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

Nikerabbit edited projects, added Language-2018-Apr-June; removed good first task.
Nikerabbit moved this task from Backlog to QA on the Language-2018-Apr-June board.
Nikerabbit moved this task from QA to Done on the Language-2018-Apr-June board.Jun 13 2018, 7:04 AM
Nikerabbit closed this task as Resolved.Jun 13 2018, 2:44 PM